/**
 **************************************************************************
 * @file      : 003_Printf_Test_Keil_JTDO/system/Retarget.c
 * @author    : Artery Technology
 * @version   : V1.0.0
 * @date      : 2019-1-2
 * @brief     : Main program body
 **************************************************************************
 * @attention
 *
 * THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
 * WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
 * TIME. AS A RESULT, ARTERYTEK SHALL NOT BE HELD LIABLE FOR ANY
 * DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
 * FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
 * CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
 *
 * <h2><center>&copy; COPYRIGHT 2018 ArteryTek</center></h2>
 ***************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include <stdio.h>
#include <rt_misc.h>

#pragma import(__use_no_semihosting_swi)
/* Private define ------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/

struct __FILE { int handle; /* Add whatever you need here */ };
FILE __stdout;
FILE __stdin;
FILE __stderr;

/* Private function prototypes -----------------------------------------------*/

extern int  SER_PutChar(int c);

/* Private functions ---------------------------------------------------------*/

/**
  * @brief  fputc.
  * @param  c,f
  * @retval c
  */
int fputc(int c, FILE *f) 
{
	if (c == '\n')  
	{
		SER_PutChar('\r');
	}
	return (SER_PutChar(c));
}


/******************* (C) COPYRIGHT 2019 ArteryTek *****END OF FILE****/ 

